summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-gfx/xaralx/ChangeLog7
-rw-r--r--media-gfx/xaralx/Manifest16
-rw-r--r--media-gfx/xaralx/files/digest-xaralx-0.6_pre14793
-rw-r--r--media-gfx/xaralx/metadata.xml5
-rw-r--r--media-gfx/xaralx/xaralx-0.6_pre1479.ebuild61
5 files changed, 92 insertions, 0 deletions
diff --git a/media-gfx/xaralx/ChangeLog b/media-gfx/xaralx/ChangeLog
new file mode 100644
index 000000000..e647a679b
--- /dev/null
+++ b/media-gfx/xaralx/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for media-gfx/xaralx
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 20 Jul 2006; Piotr JaroszyƄski <peper@aster.pl> ChangeLog:
+ New ebuild. bug #126867
+
diff --git a/media-gfx/xaralx/Manifest b/media-gfx/xaralx/Manifest
new file mode 100644
index 000000000..172564ce7
--- /dev/null
+++ b/media-gfx/xaralx/Manifest
@@ -0,0 +1,16 @@
+DIST XaraLX-0.6r1479.tar.bz2 27885567 RMD160 a5f1aaea7078c734feb5c50a37629a6ebb48950e SHA1 13008527e2e863415aad9fea9882627a0fece5c1 SHA256 e9f210908be26ef270af9e90780f6ed8b91b75e56080dce5440a5ca458518814
+EBUILD xaralx-0.6_pre1479.ebuild 1222 RMD160 43e46e212f9f8e6f40da2cbc57249b0a9bf0045e SHA1 148de6d2b50c36656b0f68702d8ddd0af0969df4 SHA256 0059672bcc8d7fd537c4bac50ac0be9a396b02f0698066e003b9be2a6738d431
+MD5 518e239cdb5b181491af6da87961359c xaralx-0.6_pre1479.ebuild 1222
+RMD160 43e46e212f9f8e6f40da2cbc57249b0a9bf0045e xaralx-0.6_pre1479.ebuild 1222
+SHA256 0059672bcc8d7fd537c4bac50ac0be9a396b02f0698066e003b9be2a6738d431 xaralx-0.6_pre1479.ebuild 1222
+MISC ChangeLog 206 RMD160 f1c2bd5891f0717d9007d483986c161e8c226653 SHA1 7dbaae281d1893c2790fc03813503327436e62e9 SHA256 bdbf9c7a722ab0d3f39799c7d0309e27676235e6b57c8c3576f2d2873397fcdc
+MD5 94c516631475a6eb66a2df4da4acfd9e ChangeLog 206
+RMD160 f1c2bd5891f0717d9007d483986c161e8c226653 ChangeLog 206
+SHA256 bdbf9c7a722ab0d3f39799c7d0309e27676235e6b57c8c3576f2d2873397fcdc ChangeLog 206
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
+MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
+RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
+SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata.xml 170
+MD5 4b7266aa714bcdb65a59394ab3859c95 files/digest-xaralx-0.6_pre1479 256
+RMD160 e66be84522cd141cb15e62af3d2d844bd3f79d4e files/digest-xaralx-0.6_pre1479 256
+SHA256 a91a130eae8566b7dcfa175d5026ca2cd6e1d5454bdf104d0b3316e5a028d445 files/digest-xaralx-0.6_pre1479 256
diff --git a/media-gfx/xaralx/files/digest-xaralx-0.6_pre1479 b/media-gfx/xaralx/files/digest-xaralx-0.6_pre1479
new file mode 100644
index 000000000..b7233dd9d
--- /dev/null
+++ b/media-gfx/xaralx/files/digest-xaralx-0.6_pre1479
@@ -0,0 +1,3 @@
+MD5 cd7a01f41fa9ac93fd534301bc58786f XaraLX-0.6r1479.tar.bz2 27885567
+RMD160 a5f1aaea7078c734feb5c50a37629a6ebb48950e XaraLX-0.6r1479.tar.bz2 27885567
+SHA256 e9f210908be26ef270af9e90780f6ed8b91b75e56080dce5440a5ca458518814 XaraLX-0.6r1479.tar.bz2 27885567
diff --git a/media-gfx/xaralx/metadata.xml b/media-gfx/xaralx/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/media-gfx/xaralx/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/media-gfx/xaralx/xaralx-0.6_pre1479.ebuild b/media-gfx/xaralx/xaralx-0.6_pre1479.ebuild
new file mode 100644
index 000000000..14bb8080b
--- /dev/null
+++ b/media-gfx/xaralx/xaralx-0.6_pre1479.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils wxwidgets autotools
+
+MY_P=XaraLX-${PV/_pre/r}
+
+DESCRIPTION="Xara LX is a commercial vector graphics platform, recently made
+available on Gentoo as a free OpenSource port."
+HOMEPAGE="http://www.xaraxtreme.org"
+SRC_URI="http://downloads2.xara.com/opensource/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+
+ >=x11-libs/wxGTK-2.6.3
+ >=sys-devel/gettext-0.14.3
+ >=media-libs/libpng-1.2.8
+ >=media-libs/jpeg-6b
+ app-arch/zip
+ dev-lang/perl
+ >=dev-libs/libxml2-2.6.0"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+ export WX_GTK_VER="2.6"
+ need-wxwidgets unicode
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ eautoreconf
+}
+
+src_compile() {
+ econf --with-wx-config=${WX_CONFIG} --with-wx-base-config=${WX_CONFIG} \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ # For now installs just the bin
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ doicon ${PN}.png
+ dodoc README
+
+ # Fix and install desktop file
+ sed -i -e "s#c=xaralx#c=XaraLX#g" ${PN}.desktop
+ domenu ${PN}.desktop
+}